Subject: Re: bug#36725: 26.1; Emacs can't connect to gnu elpa

From: Tim Cross <[email-masked]>
Date: Fri, 19 Jul 2019 22:26:20 +1000

Yes, I tried "NORMAl:VERS-TLS1.2" as well with no luck.

My GNUTLS version looks to be 3.6.5. This is a Ubuntu 19.04 system (which
was released last April) with all updates applied.

This also was working fine until just recently. Also, HTTPS to the melpa
repository works fine and using eww to https://elpa.gnu.org/packages works
fine.

Tim

On Fri, 19 Jul 2019 at 22:14, Noam Postavsky <[email-masked]> wrote:

> Tim Cross <[email-masked]> writes:
>
> > Yep, checked and it made no difference. Did get a little more wrt error
> info
> >
> > gnutls.el: (err=[-50] The request is invalid.) boot: (:priority
> > "NORMAL:-VERS-TLS1.3" :hostname melpa.org :loglevel 0 :min-prime-bits
> 256
> > :trustfiles (/etc/ssl/certs/ca-certificates.crt) :crlfiles nil :keylist
> nil
> > :verify-flags nil :verify-error nil :callbacks nil)
>
> Oh, what is your value of libgnutls-version?  Perhaps it's not new
> enough to recognize the TLS1.3 thing.  Now I'm wondering if the problem
> is intermittent, and previous reports of that workaround helping are
> just coincidence.
>
> > Also tried with TLS 1.2, same error.
>
> You mean you tried (setq gnutls-algorithm-priority
> "NORMAL:-VERS-TLS1.2")?
>

-- 
regards,

Tim

--
Tim Cross